Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawStyleManagerInternal::Gradient Struct Reference

## Public Member Functions
| Gradient (int type=0, int nColor=0, int angle=0, float decal=0)
| construtor More...
bool | ok () const
| check if the gradient is valid More...
bool | update (MWAWGraphicStyle &style) const
| update the style More...

## Public Attributes
int | m_type
| the type More...
int | m_numColors
| the number of color More...
MWAWColor | m_colors [4]
| the color More...
int | m_angle
| the angle More...
float | m_decal
| the decal More...
MWAWBox2i | m_box
| the center bdbox More...

## Friends
std::ostream & | operator<< (std::ostream &o, Gradient const &gr)
| operator<< More...

## Constructor & Destructor Documentation

## ◆ Gradient()

ClarisDrawStyleManagerInternal::Gradient::Gradient | ( | int | type = `0`,
|  | int | nColor = `0`,
|  | int | angle = `0`,
|  | float | decal = `0`
| ) |  |
| inline

construtor

Referenced by ClarisDrawStyleManagerInternal::State::initGradients().

## Member Function Documentation

## ◆ ok()

bool ClarisDrawStyleManagerInternal::Gradient::ok | ( |  | ) | const
| inline

check if the gradient is valid

Referenced by update().

## ◆ update()

bool ClarisDrawStyleManagerInternal::Gradient::update | ( | MWAWGraphicStyle & | style | ) | const

update the style

Referenced by ok(), and ClarisDrawStyleManager::updateGradient().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Gradient const & | gr
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_angle

int ClarisDrawStyleManagerInternal::Gradient::m_angle

the angle

Referenced by ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_box

MWAWBox2i ClarisDrawStyleManagerInternal::Gradient::m_box

the center bdbox

Referenced by ClarisDrawStyleManagerInternal::State::initGradients(), ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_colors

MWAWColor ClarisDrawStyleManagerInternal::Gradient::m_colors[4]

the color

Referenced by Gradient(), ClarisDrawStyleManagerInternal::State::initGradients(), ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_decal

float ClarisDrawStyleManagerInternal::Gradient::m_decal

the decal

Referenced by ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_numColors

int ClarisDrawStyleManagerInternal::Gradient::m_numColors

the number of color

Referenced by ClarisDrawStyleManagerInternal::State::initColors(), ok(), ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_type

int ClarisDrawStyleManagerInternal::Gradient::m_type

the type

Referenced by ok(), ClarisDrawStyleManager::readGradientList(), and update().

The documentation for this struct was generated from the following file:

- ClarisDrawStyleManager.cxx